﻿using UnityEngine;
using System.Collections;

public class PaddleScript : MonoBehaviour {

	private BallScript ballScript;
	public bool autoPlay;
	// Use this for initialization
	void Start () {
		this.rigidbody2D.collisionDetectionMode = CollisionDetectionMode2D.Continuous;
		ballScript = GameObject.FindObjectOfType<BallScript> ();

		Screen.showCursor = false;
	}

	// Update is called once per frame
	void Update () {
		if (!autoPlay)
			MoveWithMouse ();
		else
			AutoPlay ();


	}

	void AutoPlay() {
		Vector3 newPosition = new Vector3 (ballScript.transform.position.x, transform.position.y);
		this.transform.position = newPosition;
	}

	void MoveWithMouse() {
		float posX = (Input.mousePosition.x / Screen.width * 16); 
		float posY = (Input.mousePosition.y / Screen.height * 12); 
		Vector3 posVector = new Vector3 (Mathf.Clamp(posX, 0.5f, 15.5f), Mathf.Clamp(posY, 0.5f, 11.5f));
		//Vector3 posVector = new Vector3 (Mathf.Clamp(posX, 1.5f, 14.5f), 1f);
		
		this.transform.position = posVector;
	}

	void OnCollisionEnter2D(Collision2D coll)
	{
		if (ballScript.isGameStarted)
			audio.Play ();
	}
}
